<?php session_start();


	require ('milfs/xajax/xajax.inc.php');
	//$xajax = new xajax();
	$xajax = new xajax("");
	//$xajax = new xajax("https://tupale.co/index.php");
	require ("milfs/funciones/conex.php");
	   include ('milfs/librerias/parsedown/Parsedown.php');

   require ('milfs/funciones/funciones.php');

   include ('milfs/addon/funciones.php');
  // require ("milfs/includes/markdown.php");
   require ("milfs/includes/parametrizacion.php");
   require ("milfs/includes/simple_html_dom.php");
	$xajax->processRequests();

	$timestamp=time();
	//setcookie("timestamp",$timestamp,($timestamp + 5000));
	$_SESSION['timestamp']= $timestamp;
	 ?>
<!DOCTYPE html>
<html lang="en">
   <head >
<script src="milfs/js/scripts.js"></script>
   <meta http-equiv="Cache-control" content="public">
    <meta charset="UTF-8">
    <meta name="viewport" content="user-scalable=no, width=device-width,  maximum-scale=1,  initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
     <meta name='theme-color' content='#333'/>
 <!-- Windows Phone -->
 <meta name='msapplication-navbutton-color' content='#333'/>
 <!-- iOS Safari -->
<meta name='apple-mobile-web-app-capable' content='yes'/>
<meta name='apple-mobile-web-app-status-bar-style' content='black-translucent'/>
    <!-- Chrome, Firefox OS y Opera -->
<link rel='stylesheet' href='./librerias/animate/animate.min.css'>




<?php
$index="";
$tema="";
$print="";
$no_mostrar="";
$asistento="";
$registros="";
$embebido =0;
$acceso = 0;
$onload="";
$menu_lateral="";
$id_empresa="";
$link_empresa="";
$razon_social="";
$opciones="";
$background_imagen = "";
$titulo = array();
$sigla = "";
$slogan[] = "";
$uri_set = "";
$uri = "";
$set = "";
$descripcion_meta ="";
$identificador = "";
if(isset($_REQUEST['v'])) {
$variable = $_REQUEST['v'];
}else { $variable="";}
if(isset($_REQUEST['registros'])){$registros=$_REQUEST['registros'];}else{$registros="";}
$cols_interior ="12";
$menu="";
$orden="";
$cantidad_registros ="10";
$librerias_cabeza ="";
$librerias_pie ="";
$modo="";
$pagina_inicio_definida=array();




/// a= Aplicacion
/// b = libro
/// c= Presentacion
/// d= IDENTIFICADOR EDITABLE *
/// e = EMPRESA *
/// f= FORMULARIO *
/// g=FORMULARIO EMBEBIDO *
/// h=ADDON *
/// i= IDENTIFICADOR *
/// I= IDENTIFICADOR EMBEBIDO*
/// j=ADDON EMBEBIDO *
/// k= suite
/// l= Listado
/// m = checklist
/// n=notas
/// o=parallax
/// p= Planilla
/// q = lab
/// r = banner
/// s= SET DE DATOS *
/// S= SET DE DATOS EMBEBIDO
/// t= tareas


//$destacados = mas_visto("ultimos","6","6");
//$aleatorios = mas_visto("aleatorios","6","6");
//if (isset($_GET['v'])) {$variable = $_GET['v'];}else {$variable = "";}
if (isset($_REQUEST['empresa'])) {


	$variable = "e".$_REQUEST['empresa'];

}
elseif (isset($_REQUEST['form']) AND isset($_REQUEST['embebido']) ) {$variable = "g".$_REQUEST['form'];}
elseif (isset($_REQUEST['identificador']) AND $_REQUEST['t'] =='edit' ) {$variable = "d".$_REQUEST['identificador'];}
elseif (isset($_REQUEST['addon']) AND isset($_REQUEST['embebido']) ) {$variable = "j".$_REQUEST['addon'];}
elseif (isset($_REQUEST['set'])) {$variable = "s".$_REQUEST['set'];}
elseif (isset($_REQUEST['identificador'])) {$variable = "i".$_REQUEST['identificador'];}
elseif (isset($_REQUEST['form'])) {$variable = "f".$_REQUEST['form'];}
elseif (isset($_REQUEST['addon'])) {$variable = "h".$_REQUEST['addon'];}
else {}


//$variable="b43";
//$variable="b115";
if(isset($_REQUEST['variable'])){
$variable= $_REQUEST['variable'];
}
$v = decodifica_parametro($variable);

if ($v[0] =='e') {
	$plantilla_inicio = remplacetas('form_parametrizacion','id_empresa',$v[1],'descripcion'," tabla='empresa' AND opcion='plantilla_inicio'","") ;
	$plantilla_inicio_filas = remplacetas('form_parametrizacion','id_empresa',$v[1],'descripcion'," tabla='empresa' AND opcion='plantilla_inicio_filas'","") ;
	$plantilla_inicio_columnas = remplacetas('form_parametrizacion','id_empresa',$v[1],'descripcion'," tabla='empresa' AND opcion='plantilla_inicio_columnas'","") ;

	if(!isset($_REQUEST['home'])  ){
			$pagina_inicio_definida = remplacetas('form_parametrizacion','id_empresa',$v[1],'descripcion'," tabla='empresa' AND opcion='pagina_inicio'","") ;
if($plantilla_inicio[0] =="grid"){}else{

			$vista_favorita = vista_favorita($pagina_inicio_definida[0]);
		}
		//	$onload = "<script type=\"text/javascript\">window.location.href='$vista_favorita';</script> ";
		if($vista_favorita[0] !=""){
			$variable = $vista_favorita;//"e".$_REQUEST['empresa'];
		}else{
			$variable= "$v[0]$v[1]";

			}
	}
}elseif ($v[0] =='t') {
	//$empresa = 	remplacetas('form_id','id',"$set",'id_empresa',"") ;
	$logo = remplacetas('empresa','id',"$v[1]",'imagen','') ;
	$modo="minimalista";
	$plantilla_inicio[0]='grid';
	$librerias = "
	<script src='./librerias/gantt/code/highcharts-gantt.js'></script>
	<script src='./librerias/gantt/code/modules/exporting.js'></script>
	";
	//$no_mostrar="display:none; ";
	$asistento="hide ";

/// datos proyecto
	$formulario_proyectos ="1070";
	$campo_proyectos ="3705";
/// datos equipo
	$formulario_equipo ="998";
	$campo_equipo ="316";
	$formulario_roles_asignacion ="1074";
	$campo_roles_asignacion = "3721";
	$formulario_roles ="1072";
	$campo_rol ="325";
/// datos tareas
	$formulario_tareas ="1069";
	$campo_tareas ="3715";
/// datos microtareas
	$formulario_microtarea ="1071";
	$campo_microtarea ="3710";
	$formulario_microtarea_asignacion ="1075";
	$campo_microtareas_asignacion = "3722";




/// equipo ///
		$formularios_equipo['formulario_equipo']=$formulario_equipo;
		$formularios_equipo['formulario_roles']=$formulario_roles;
		$formularios_equipo['formulario_roles_asignacion']=$formulario_roles_asignacion;
		$formularios_equipo['campo_roles_asignacion']=$campo_roles_asignacion;
		$formularios_equipo['campo_rol']=$campo_rol;
			$equipo_titulo = 	remplacetas('form_id','id',"$formulario_equipo",'nombre',"") ;
			$equipo_descripcion = 	remplacetas('form_id','id',"$formulario_equipo",'descripcion',"") ;


/// microtareas ///
		$formularios_microtareas['formulario_proyectos']=$formulario_proyectos;
		$formularios_microtareas['campo_proyectos']=$campo_proyectos;
		$formularios_microtareas['formulario_tareas']=$formulario_tareas;
		$formularios_microtareas['campo_tareas']=$campo_tareas;
		$formularios_microtareas['formulario_microtarea']=$formulario_microtarea;
		$formularios_microtareas['formulario_microtarea_asignacion']=$formulario_microtarea_asignacion;
		$formularios_microtareas['campo_microtarea']=$campo_microtarea;
		$formularios_microtareas['campo_microtareas_asignacion']=$campo_microtareas_asignacion;
		$formularios_microtareas['formulario_microtarea_asignacion']="$formulario_microtarea_asignacion";
		$formularios_microtareas['formulario_equipo']="$formulario_equipo";
		$formularios_microtareas['campo_equipo']="$campo_equipo";
			//$microtareas_planilla = planilla("$formulario_microtarea","10",'exportable');
			$diagrama_gantt = gantt($formularios_microtareas,"","");
			$microtarea_titulo = 	remplacetas('form_id','id',"$formulario_microtarea",'nombre',"") ;
			$microtarea_descripcion = 	remplacetas('form_id','id',"$formulario_microtarea",'descripcion',"") ;

	/// tareas ///
	$formularios_tareas['formulario_tareas']=$formulario_tareas;

	$tareas_titulo = 	remplacetas('form_id','id',"$formulario_tareas",'nombre',"") ;
	$tareas_descripcion = 	remplacetas('form_id','id',"$formulario_tareas",'descripcion',"") ;


/// proyectos ///
$proyectos_titulo = 	remplacetas('form_id','id',"$formulario_proyectos",'nombre',"") ;
$proyectos_descripcion = 	remplacetas('form_id','id',"$formulario_proyectos",'descripcion',"") ;
$formulario_proyectos['formulario_proyectos']=$formulario_proyectos;



	$listado_usuarios = listado_usuarios("","");

	$microtarea_listado =	microtareas($formularios_microtareas,"","");
	$tareas_listado =	tareas($formularios_tareas,"","");
	$proyectos_listado =	proyectos($formulario_proyectos,"","");
	$equipo_listado = listado_items($formularios_equipo,'',"");



	$pagina_inicio="
	$librerias
	<style>
	.avatar {
  vertical-align: middle;
  width: 50px;
  height: 50px;
  border-radius: 50%;
	}
	.avatar-cuadrado {
  vertical-align: middle;
  width: 50px;
  height: 50px;

	}
	</style>
<div class='container-fluid' id='container_tareas' >
	<div class='row' role='row' id='role_tareas'>
			<div class='col-md-8' id='columnas_tareas'>
			  <!-- Nav tabs -->
			  <ul class='nav nav-tabs' role='tablist'>
			    <li role='presentation' ><a href='#proyectos' aria-controls='home' role='tab' data-toggle='tab'>$proyectos_titulo[0]</a></li>
			    <li role='presentation'><a href='#tareas' aria-controls='tareas' role='tab' data-toggle='tab'>$tareas_titulo[0]</a></li>
			    <li role='presentation' class='active'><a href='#microtareas' aria-controls='microtareas' role='tab' data-toggle='tab'>$microtarea_titulo[0]</h2></a></li>
			    <li role='presentation' ><a href='#informes' aria-controls='informes' role='tab' data-toggle='tab'>Informes</a></li>
			  </ul>
			  <!-- Tab panes -->
			  <div class='tab-content'>
			    <div role='tabpanel' class='tab-pane' id='proyectos'>
					<p style='overflow-wrap: break-word;'>$proyectos_descripcion[0]</p>
					$proyectos_listado
					</div>
			    <div role='tabpanel' class='tab-pane' id='tareas'>
						<div id='tareas_head'>
								<p style='overflow-wrap: break-word;'>$tareas_descripcion[0]</p>
								<a class='btn btn-default btn-block' onclick = \"xajax_formulario_embebido_ajax('','$formulario_tareas','','')\" ><i class='glyphicon glyphicon-plus-sign'></i> $tareas_titulo[0]</a>
								<hr>
						</div>
						<div class='columna_tareas' style='height:500px; overflow: auto;'>
						<div class='panel-group' id='accordion-tareas'>
						$tareas_listado

						</div>
						</div>
					</div>
			    <div role='tabpanel' class='tab-pane  active' id='microtareas'>
							<div id='microtareas_head'>
								<p>$microtarea_descripcion[0]</p>
								<a class='btn btn-default btn-block' onclick = \"xajax_formulario_embebido_ajax('','$formulario_microtarea','','')\" ><i class='glyphicon glyphicon-plus-sign'></i> $microtarea_titulo[0] </a>
								<a class='btn btn-success btn-block' onclick = \"xajax_formulario_embebido_ajax('','$formulario_microtarea_asignacion','','')\" ><i class='glyphicon glyphicon-user'></i> Asignar $microtarea_titulo[0]</a>
								<hr>
							</div>
							<div class='columna_tareas' style='height:500px; overflow: auto;'>
							$micro_listado
							<hr>
							$microtarea_listado
							</div>
					</div>
					<div role='tabpanel' class='tab-pane  ' id='informes'>
							<div id='informes_head'>
								<p></p>
							</div>
							<div class='container'>
							<div class='columna_informes' style='height:800px; overflow: auto;'>
							$diagrama_gantt

							</div>
							</div>

					</div>
		  </div>
		</div>
			<div class='col-md-4  ' id='columna_equipo'>
					<div class='equipo_head'>
						<h2>$equipo_titulo[0]</h2><p>$equipo_descripcion[0]</p>
					</div>

						<br>
					<div id='columna_equipo' >
					<ul class='nav nav-tabs' role='tablist'>
						<li role='presentation' ><a href='#usuarios_inscritos' aria-controls='usuarios_inscritos' role='tab' data-toggle='tab'>$equipo_titulo[0]</h2></a></li>
						<li role='presentation' class='active'><a href='#usuarios_sistema' aria-controls='usuarios_sistema' role='tab' data-toggle='tab'>Usuarios del sistema</a></li>
					</ul>
					<!-- Tab panes -->
					<div class='tab-content'>

						<div role='tabpanel' class='tab-pane active' id='usuarios_sistema'>
						$listado_usuarios
						</div>
						<div role='tabpanel' class='tab-pane' id='usuarios_inscritos'>
						$equipo_listado
						</div>
					</div>



			</div>
		</div>
</div>


	";

//	$plantilla_inicio = remplacetas('form_parametrizacion','id_empresa',$v[1],'descripcion'," tabla='empresa' AND opcion='plantilla_inicio'","") ;
//	$plantilla_inicio_filas = remplacetas('form_parametrizacion','id_empresa',$v[1],'descripcion'," tabla='empresa' AND opcion='plantilla_inicio_filas'","") ;
//	$plantilla_inicio_columnas = remplacetas('form_parametrizacion','id_empresa',$v[1],'descripcion'," tabla='empresa' AND opcion='plantilla_inicio_columnas'","") ;
/*
	if(!isset($_REQUEST['home'])  ){
			$pagina_inicio_definida = remplacetas('form_parametrizacion','id_empresa',$v[1],'descripcion'," tabla='empresa' AND opcion='pagina_inicio'","") ;
if($plantilla_inicio[0] =="grid"){}else{

			$vista_favorita = vista_favorita($pagina_inicio_definida[0]);
		}
		//	$onload = "<script type=\"text/javascript\">window.location.href='$vista_favorita';</script> ";
		if($vista_favorita[0] !=""){
			$variable = $vista_favorita;//"e".$_REQUEST['empresa'];
		}else{
			$variable= "$v[0]$v[1]";

			}
	}
	*/
	//// fin de t
}else{}
$v = decodifica_parametro($variable);

if(isset($_REQUEST['plantilla'])){
$plantilla= $_REQUEST['plantilla'];
}else {$plantilla= "landingpage";}

	  			if(isset($_REQUEST['tema']) AND $_REQUEST['tema'] !="") { $tema= "$_REQUEST[tema]";}
				else {
					//	if($v[0] =='a' OR $v[0] =='k') { $tema='';	}else{$tema="moon";}
						}
$presentacion_cabeza = "
		<link rel='stylesheet' href='librerias/reveal/css/reveal.css'>
		<link rel='stylesheet' href='librerias/reveal/css/theme/$tema.css' id='theme'>

		<!-- Theme used for syntax highlighting of code -->
		<link rel='stylesheet' href='librerias/reveal/lib/css/zenburn.css'>

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'librerias/reveal/css/print/pdf.css' : 'librerias/reveal/css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>

		<!--[if lt IE 9]>
		<script src='lib/js/html5shiv.js'></script>
		<![endif]-->

	  		";

$presentacion_pie="
    <script src='librerias/lazy/jquery.lazy.min.js'></script>
			<script src='librerias/reveal/lib/js/head.min.js'></script>
		<script src='librerias/reveal/js/reveal.js'></script>

		<script>

			// More info https://github.com/hakimel/reveal.js#configuration
			Reveal.initialize({
				controls: true,
				progress: true,
				history: true,
				center: true,
				mouseWheel: true,

				transition: 'slide', // none/fade/slide/convex/concave/zoom

				// More info https://github.com/hakimel/reveal.js#dependencies
				dependencies: [
					{ src: 'librerias/reveal/lib/js/classList.js', condition: function() { return !document.body.classList; } },
					{ src: 'librerias/reveal/plugin/markdown/marked.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: 'librerias/reveal/plugin/markdown/markdown.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: 'librerias/reveal/plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } },
					{ src: 'librerias/reveal/plugin/zoom-js/zoom.js', async: true },
					{ src: 'librerias/reveal/plugin/notes/notes.js', async: true }
				]
			});

		</script>
	  		";

if ($variable !=''){

 		if($v[0] =='e') {
 			/// e = EMPRESA
			$id_empresa = $v[1];
			$id =$id_empresa;
			$titulo = remplacetas('empresa','id',"$id_empresa",'razon_social','') ;
			$plantilla_inicio = remplacetas('form_parametrizacion','id_empresa',$v[1],'descripcion'," tabla='empresa' AND opcion='plantilla_inicio'","") ;

			$librerias_cabeza ="
			 <!-- tabla de contenido -->
				<link rel='stylesheet' href='./librerias/bootstrap-toc/bootstrap-toc.min.css'>
				<script src='./librerias/bootstrap-toc/bootstrap-toc.min.js'></script>
			";
			if($titulo[0] !="") {

			$logo = remplacetas('empresa','id',"$id_empresa",'imagen','') ;

			$descripcion = remplacetas('empresa','id',"$id_empresa",'slogan','') ;
			//$background_imagen = buscar_imagen('',"","","$id_empresa");
			  $background_imagen = remplacetas('empresa','id',"$id_empresa",'imagen','') ;
			  $background_imagen =  $background_imagen[0];
			$uri_set = "";
			$pagina_inicio_definida = remplacetas('form_parametrizacion','id_empresa',$id_empresa,'descripcion'," tabla='empresa' AND opcion='pagina_inicio'") ;
			/*if($pagina_inicio_definida[0] !="" and !isset($_REQUEST['home'])){
			$vista_favorita = vista_favorita($pagina_inicio_definida[0]);
			//$set= $pagina_inicio_definida[0];
			$onload = "<script type=\"text/javascript\">window.location.href='$vista_favorita';</script> ";
				}
				* */
				//echo "<br><br><br><br><br><br><br><br>$logo[2] / $logo[0]";
			$acceso = 1;
			if(	$plantilla_inicio[0] == 'grid'){}else{
						$menu ="
				<div class='col-sm-3 col-lg-2 hidden-xs hidden-sm' id='caja_lateral_derecha'>
			<div class='container'>
			<nav id='toc' data-spy='affix' data-toggle='toc'></nav>
			</div>
				</div>";
				$cols_interior ="10";
			}
			}else {
				$onload = "<script type=\"text/javascript\">location.href='404';</script> ";

			}


 		}elseif($v[0] =='t') {
 			/// e = EMPRESA
			$id_empresa = $v[1];
			$id =$id_empresa;
			$titulo = remplacetas('empresa','id',"$id_empresa",'razon_social','') ;
			//$plantilla_inicio = remplacetas('form_parametrizacion','id_empresa',$v[1],'descripcion'," tabla='empresa' AND opcion='plantilla_inicio'","") ;

			$librerias_cabeza ="
			 <!-- tabla de contenido -->
				<link rel='stylesheet' href='./librerias/bootstrap-toc/bootstrap-toc.min.css'>
				<script src='./librerias/bootstrap-toc/bootstrap-toc.min.js'></script>
			";
			if($titulo[0] !="") {

			$logo = remplacetas('empresa','id',"$id_empresa",'imagen','') ;

			$descripcion = remplacetas('empresa','id',"$id_empresa",'slogan','') ;
			//$background_imagen = buscar_imagen('',"","","$id_empresa");
			  $background_imagen = remplacetas('empresa','id',"$id_empresa",'imagen','') ;
			  $background_imagen =  $background_imagen[0];
			$uri_set = "";
			//$pagina_inicio_definida = remplacetas('form_parametrizacion','id_empresa',$id_empresa,'descripcion'," tabla='empresa' AND opcion='pagina_inicio'") ;
			/*if($pagina_inicio_definida[0] !="" and !isset($_REQUEST['home'])){
			$vista_favorita = vista_favorita($pagina_inicio_definida[0]);
			//$set= $pagina_inicio_definida[0];
			$onload = "<script type=\"text/javascript\">window.location.href='$vista_favorita';</script> ";
				}
				* */
				//echo "<br><br><br><br><br><br><br><br>$logo[2] / $logo[0]";
			$acceso = 1;

			}else {
				$onload = "<script type=\"text/javascript\">location.href='404';</script> ";

			}


 		}
		elseif($v[0] =='b') {
			/// s= SET DE DATOS
	  		$set =$v[1];
			$empresa = 	remplacetas('form_id','id',"$set",'id_empresa',"") ;
			$logo = @remplacetas('empresa','id',"$id_empresa[0]",'imagen','') ;
			$id_empresa = $empresa[0];
			//$titulo = 	remplacetas('form_id','id',"$set",'nombre',"") ;
			//$descripcion = 	remplacetas('form_id','id',"$set",'descripcion',"") ;
			$titulo = remplacetas('empresa','id',"$id_empresa",'razon_social','') ;
			$descripcion = remplacetas('empresa','id',"$id_empresa",'slogan','') ;
			$background_imagen = buscar_imagen("$set","","","$id_empresa");
			$uri_set = "";
			$cantidad_registros="";
			$librerias_cabeza ="
			 <!-- tabla de contenido -->
				<link rel='stylesheet' href='./librerias/bootstrap-toc/bootstrap-toc.min.css'>
				<script src='./librerias/bootstrap-toc/bootstrap-toc.min.js'></script>
			";
			$orden="";

			$menu ="</div>
				<div class='col-sm-2 hidden-xs hidden-sm'  id='caja_lateral_derecha'>
			<div class='container'>
			<nav style=' max-height:95% !important ; overflow:auto !important;  ' id='toc' data-spy='affix' data-toggle='toc'></nav>
			</div>

				</div>";
			$cols_interior ="10";
			//$onload = landingpage_contenido_formulario($set);
			$publico = remplacetas('form_id','id',"$set",'publico',"") ;
				if($publico[0] =='1' OR $_SESSION['id_empresa'] == $id_empresa ) {$acceso = 1;}
			}
		elseif($v[0] =='s') {
			/// s= SET DE DATOS
	  		$set =$v[1];
			$empresa = 	remplacetas('form_id','id',"$set",'id_empresa',"") ;
			$logo = remplacetas('empresa','id',"$id_empresa[0]",'imagen','') ;
			$id_empresa = $empresa[0];
			$titulo = 	remplacetas('form_id','id',"$set",'nombre',"") ;
			$descripcion = 	remplacetas('form_id','id',"$set",'descripcion',"") ;
			$slogan = 	remplacetas('form_id','id',"$set",'descripcion',"") ;
			$background_imagen = buscar_imagen("$set","","","$id_empresa");
			$uri_set = "";
			//$onload = landingpage_contenido_formulario($set);
			//$onload = "".consultar_contenido_formulario("$set",'5','','','',"$plantilla")."";

			$publico = remplacetas('form_id','id',"$set",'publico',"") ;
				if($publico[0] =='1' OR $_SESSION['id_empresa'] == $id_empresa ) {$acceso = 1;}
				//$acceso=1;
			}
		elseif($v[0] =='S') {
			$set =$v[1];
			$empresa = 	remplacetas('form_id','id',"$set",'id_empresa',"") ;
			$logo = remplacetas('empresa','id',"$id_empresa[0]",'imagen','') ;
			$id_empresa = $empresa[0];
			/// s= SET DE DATOS
	  		$embebido = "1";
			$onload = "".consultar_contenido_formulario("$set",'5','','embebido','',"$plantilla")."";

			}
		elseif($v[0] =='l') {
			$set =$v[1];
			/// s= SET DE DATOS
	  		$embebido = "1";
	  		if(isset($_REQUEST['print'])) {
				//$print = "window.print()";
				}
			$onload = "".consultar_contenido_formulario("$set",'',"",'listado','',"$plantilla")." <script type=\"text/javascript\">$print</script> ";

			}
		elseif($v[0] =='I') {
			$identificador =$v[1];
			$formulario = 	remplacetas('form_datos','control',"$identificador",'form_id',"") ;
			$set = $formulario[0];
			$empresa = 	remplacetas('form_id','id',"$set",'id_empresa',"") ;
			$logo = remplacetas('empresa','id',"$id_empresa[0]",'imagen','') ;
			$id_empresa = $empresa[0];

				  			if(strlen($identificador) > 32) {
					$identificador_original= $identificador;
					$key =  substr($identificador, 32, $length = 40);
					$identificador =  substr($identificador, 0, $length = 32);
				} else {$identificador_original = $identificador;}
				$impresion = landingpage_contenido_identificador("$identificador_original","$id_form","social",'head');

			$impresion = strip_tags($impresion);
			//$impresion= str_replace('\t', '', $impresion);
			$impresion = preg_replace("[\n|\r|\n\r|\t]",'', $impresion);
			$descripcion_meta = $impresion;
			$primer = 	formulario_uso("","$identificador",'primer') ;
			$id_form="$primer[3]";
	  		$embebido = "1";
			//$onload = mostrar_identificador("$identificador","$id_form","landingpage",'simple');
			$onload = landingpage_contenido_identificador("$identificador_original","$id_form","$plantilla",'simple');

			}
		elseif($v[0] =='p') {
			$set =$v[1];
			$form =$v[1];
			$librerias_cabeza='
			<!-- <link rel="stylesheet" type="text/css" href="librerias/datatables2/datatables.min.css"/>
			<script type="text/javascript" src="librerias/datatables2/datatables.min.js"></script>
			-->
			<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs/dt-1.10.21/af-2.3.5/b-1.6.2/b-colvis-1.6.2/b-html5-1.6.2/b-print-1.6.2/cr-1.5.2/fc-3.3.1/fh-3.1.7/kt-2.5.2/r-2.2.5/rg-1.1.2/rr-1.2.7/sc-2.0.2/sp-1.1.0/sl-1.3.1/datatables.min.css"/>
			<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
			<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
			<script type="text/javascript" src="https://cdn.datatables.net/v/bs/dt-1.10.21/af-2.3.5/b-1.6.2/b-colvis-1.6.2/b-html5-1.6.2/b-print-1.6.2/cr-1.5.2/fc-3.3.1/fh-3.1.7/kt-2.5.2/r-2.2.5/rg-1.1.2/rr-1.2.7/sc-2.0.2/sp-1.1.0/sl-1.3.1/datatables.min.js"></script>

			';
			$empresa = 	remplacetas('form_id','id',$form,'id_empresa',"") ;
	  		$razon_social_portal = remplacetas('empresa','id',"$empresa[0]",'razon_social','') ;
	  		$titulo = remplacetas('empresa','id',"$empresa[0]",'razon_social','') ;
			$id_empresa = $empresa[0];
			/// s= SET DE DATOS
	  		$embebido = "1";
	  		if(isset($_REQUEST['print'])) { $print = "window.print()";}
			$onload = "".planilla("$set","$_REQUEST[registros]",'')." <script type=\"text/javascript\">$print</script>

			";

			}
		elseif($v[0] =='r') {
			$set =$v[1];
			$form =$v[1];
	  	$embebido = "1";
			$no_mostrar="display:none; ";
			$onload = banner("$set","$_REQUEST[registros]",'');
			}
		elseif($v[0] =='i') {
			/// i= IDENTIFICADOR
	  		$identificador =$v[1];
	  			if(strlen($identificador) > 32) {
					$identificador_original= $identificador;
					$key =  substr($identificador, 32, $length = 40);
					$identificador =  substr($identificador, 0, $length = 32);
				} else {$identificador_original = $identificador;}
	  		$primer = 	formulario_uso("","$identificador",'primer') ;
			$id_form="$primer[3]";
			//$form = 	remplacetas('form_datos','control',$identificador,'form_id',"") ;
			$empresa = 	remplacetas('form_id','id',$id_form,'id_empresa',"") ;
			$logo = @remplacetas('empresa','id',"$id_empresa[0]",'imagen','') ;
			$id_empresa = $empresa[0];
			$id = $empresa[0];
			$embebido = "0";
			//$impresion = mostrar_identificador("$identificador","$id_form[0]","landingpage",'simple');
			$impresion = landingpage_contenido_identificador("$identificador_original","$id_form","social",'head');
			$razon_social = remplacetas('empresa','id',"$id_empresa",'razon_social','') ;
			$impresion = strip_tags($impresion);
			//$impresion= str_replace('\t', '', $impresion);
			$impresion = preg_replace("[\n|\r|\n\r|\t]",'', $impresion);
			$descripcion_meta = $impresion;
			$titulo = 	remplacetas('form_id','id',$id_form,'nombre',"") ;
			$descripcion = 	remplacetas('form_id','id',$id_form,'descripcion',"") ;
			$background_imagen = buscar_imagen("$id_form",$identificador,"","");
			$uri_set = "<a class='' href='s$id_form'>$titulo[0]</a>";
			$publico = remplacetas('form_id','id',$id_form,'publico',"") ;
			//if($publico[0] =='1') {$acceso = 1;}
			$acceso = 1;
		}

		elseif($v[0] =='d') {
			/// d= IDENTIFICADOR EDITABLE
	  		$identificador =$v[1];

	  			//  		$form =$v[1];
	  		//$embebido = "1";
			//$onload = formulario_embebido_ajax($form[0],'$identificador','edit');

			$librerias_cabeza ="
			<script src='./librerias/summernote/summernote.js'></script>
			<link href='./librerias/summernote/summernote.css' rel='stylesheet'>
			";
			$librerias_pie ="

    <script type='text/javascript'>
			//// wysiwyg
			var edit = function() {
			  $('.wysiwyg').summernote({height: 250, codemirror: { theme: 'default' },dialogsInBody: true, toolbar:
 [
  ['style', ['bold', 'italic', 'underline', 'clear']],
  ['font', ['strikethrough', 'superscript', 'subscript', 'fontname']],
  ['fontsize', ['fontsize']],
  ['color', ['color']],
  ['para', ['ul', 'ol', 'paragraph', 'style']],
  ['height', ['height']],
  ['insert', ['picture', 'link', 'video', 'table', 'hr']],
  ['misc', ['fullscreen', 'codeview', 'undo', 'redo']]
  ]
 });
 };
			var save = function() {
			  var makrup = $('.wysiwyg').summernote('code');
			  $('.wysiwyg').summernote('destroy');
			};


			$(document).ready(function() {
			  $('.wysiwyg_auto').summernote({dialogsInBody: true});
			});

    </script>
			";
			$form = 	remplacetas('form_datos','control',$identificador,'form_id',"") ;
			$empresa = 	remplacetas('form_id','id',$form['0'],'id_empresa',"") ;
			$id_empresa = $empresa[0];
			$id = $empresa[0];
			$impresion = mostrar_identificador("$identificador","","landingpage",'',"");
			$impresion = strip_tags($impresion);
			$descripcion_meta = $impresion;
			$titulo = 	remplacetas('form_id','id',$form['0'],'nombre',"") ;
			$background_imagen = buscar_imagen("$form[0]",$identificador,"","");
			$uri_set = "<a class='' href='s$form[0]'>$titulo[0]</a>";
			$publico = remplacetas('form_id','id',$form[0],'publico',"") ;
			if($publico[0] =='1') {$acceso = 1;}
				$t = "edit";
				$embebido = "1";

		//	$onload = $identificador;
		//	$onload = formulario_embebido_ajax("$form[0]","$identificador",'edit');
				$onload =" <script type=\"text/javascript\">xajax_formulario_embebido_ajax('',$form[0],'$identificador','edit')</script>";

		}
		elseif($v[0] =='f') {
			/// f= FORMULARIO
	  		$form =$v[1];
	  		$empresa = 	remplacetas('form_id','id',$form,'id_empresa',"") ;
			$id_empresa = $empresa[0];
						$librerias_cabeza ="
			<script src='./librerias/summernote/summernote.js'></script>
			<link href='./librerias/summernote/summernote.css' rel='stylesheet'>
			";
			$librerias_pie ="

    <script type='text/javascript'>
			//// wysiwyg
			var edit = function() {
			  $('.wysiwyg').summernote({height: 250, codemirror: { theme: 'default' },dialogsInBody: true, toolbar:
 [
  ['style', ['bold', 'italic', 'underline', 'clear']],
  ['font', ['strikethrough', 'superscript', 'subscript', 'fontname']],
  ['fontsize', ['fontsize']],
  ['color', ['color']],
  ['para', ['ul', 'ol', 'paragraph', 'style']],
  ['height', ['height']],
  ['insert', ['picture', 'link', 'video', 'table', 'hr']],
  ['misc', ['fullscreen', 'codeview', 'undo', 'redo']]
  ]
 });
 };
			var save = function() {
			  var makrup = $('.wysiwyg').summernote('code');
			  $('.wysiwyg').summernote('destroy');
			};


			$(document).ready(function() {
			  $('.wysiwyg_auto').summernote({dialogsInBody: true});
			});

    </script>
			";


		//	$no_mostrar="display:none; ";


	  		$onload =" <script type=\"text/javascript\">xajax_formulario_embebido_ajax('','$form','','nuevo')</script>";
		}
		elseif($v[0] =='c') {
			/// f= FORMULARIO
	  		$form =$v[1];
	  		//$presentacion = contenido_presentacion("$form");
	  		$presentacion = contenido_presentacion("$form");
	  		$embebido = "1";
	  		//$no_mostrar ="display:none; ";

	  		$empresa = 	remplacetas('form_id','id',"$form",'id_empresa',"") ;
	  		$id_empresa= $empresa[0];
	  		$logo = remplacetas('empresa','id',$id_empresa,'imagen','') ;
	  		$no_mostrar ="display:none; ";
	  			if($_REQUEST['tema'] !="") { $tema= "$_REQUEST[tema]";}
				else {$tema="moon";}
	  		$librerias_cabeza =$presentacion_cabeza;
	  		$librerias_pie =$presentacion_pie;

	  		$onload="
	  			<div class='reveal'>
					<div class='slides'>
					$presentacion
					</div>
				</div>";
		}
		elseif($v[0] =='a') {
			$form =$v[1];
			$embebido = "1";
			$no_mostrar ="display:none; ";
			$aplicacion_pie="


			<script src='librerias/reveal/lib/js/head.min.js'></script>
		<script src='librerias/reveal/js/reveal.js'></script>

		<script>




   // max-height: calc(100vh - 300px);
   // min-height: calc(100vh - 300px);
			// More info https://github.com/hakimel/reveal.js#configuration
			Reveal.initialize({
				width: '100%',
				height: '100%',
				touch: false,
				controls: false,
				progress: true,
				history: true,
				center: true,

				transition: 'slide', // none/fade/slide/convex/concave/zoom

				// More info https://github.com/hakimel/reveal.js#dependencies
				dependencies: [

				]
			});

		</script>
		<script src='librerias/slick/slick.js' type='text/javascript' charset='utf-8'></script>

	  		";
	  		$librerias_galeria ="
<!-- 	  		<link rel='manifest' href='manifest.json'> -->
	  		  <link rel='stylesheet' type='text/css' href='librerias/slick/slick.css'>
			  <link rel='stylesheet' type='text/css' href='librerias/slick/slick-theme.css'>
			  <link rel='stylesheet' type='text/css' href='librerias/slick/style.css'>
			  <script src='manup.js'></script>
	  		";

	  		$registros=1;
	  		$plantilla="landingpage";
	  		$librerias_cabeza ="
	  		<style>

	  		.control_planilla{
	  		display:none
	  		}

	  		</style>
	  		 <script src='./librerias/ekko-lightbox/4.0.1/ekko-lightbox.min.js'></script>
	  		 <script src='./librerias/charts/Chart.bundle.js'></script>
    <script src='./librerias/charts/utils.js'></script>
	  		$presentacion_cabeza $librerias_galeria


	  		";
$librerias_pie ="


	  		$aplicacion_pie
<!-- 	  		<script>
if('serviceWorker' in navigator) {
  navigator.serviceWorker
           .register('pwabuilder-sw.js')
           .then(function() { console.log('Service Worker Registered'); });
}
</script> -->


<script type = 'text/javascript' >
	$(document).ready(function() {

		loadArticle(1,$form,'$plantilla',$registros,'scroll-content','li');
		loadArticle(2,$form,'$plantilla',$registros,'scroll-content','li');
		loadArticle(3,$form,'$plantilla',$registros,'scroll-content','li');
		loadArticle(4,$form,'$plantilla',$registros,'scroll-content','li');
		loadArticle(5,$form,'$plantilla',$registros,'scroll-content','li');
		loadArticle(6,$form,'$plantilla',$registros,'scroll-content','li');
		loadArticle(7,$form,'$plantilla',$registros,'scroll-content','li');
		loadArticle(8,$form,'$plantilla',$registros,'scroll-content','li');
		loadArticle(7,$form,'$plantilla',$registros,'scroll-content','li');
		loadArticle(9,$form,'$plantilla',$registros,'scroll-content','li');
		loadArticle(10,$form,'$plantilla',$registros,'scroll-content','li');
		loadArticle(11,$form,'$plantilla',$registros,'scroll-content','li');
		loadArticle(12,$form,'$plantilla',$registros,'scroll-content','li');
		loadArticle(13,$form,'$plantilla',$registros,'scroll-content','li');
		loadArticle(14,$form,'$plantilla',$registros,'scroll-content','li');

		var count = 15;
		$('div').scroll(function() {
			var offset = $('#scroll-content div').length;
			var \$this = $(this);
			var height = this.scrollHeight - \$this.height(); // Get the height of the div
			var scroll = \$this.scrollTop(); // Get the vertical scroll position

			var isScrolledToEnd = (scroll >= height);


			if (isScrolledToEnd) {
						loadArticle(count,$form,'$plantilla',$registros,'scroll-content','li');
				count++;
			}
		});

		loadArticle(1,$form,'galeria',$registros,'scroll-galeria','galeria');
		loadArticle(2,$form,'galeria',$registros,'scroll-galeria','galeria');
		loadArticle(3,$form,'galeria',$registros,'scroll-galeria','galeria');
		loadArticle(4,$form,'galeria',$registros,'scroll-galeria','galeria');
		loadArticle(5,$form,'galeria',$registros,'scroll-galeria','galeria');
		loadArticle(6,$form,'galeria',$registros,'scroll-galeria','galeria');
		loadArticle(7,$form,'galeria',$registros,'scroll-galeria','galeria');
		loadArticle(8,$form,'galeria',$registros,'scroll-galeria','galeria');
		loadArticle(9,$form,'galeria',$registros,'scroll-galeria','galeria');
		loadArticle(10,$form,'galeria',$registros,'scroll-galeria','galeria');

		var count2 = 11;
		$('div').scroll(function() {
			var offset = $('#scroll-galeria div').length;
			var \$this = $(this);
			var height = this.scrollHeight - \$this.height(); // Get the height of the div
			var scroll = \$this.scrollTop(); // Get the vertical scroll position

			var isScrolledToEnd = (scroll >= height);


			if (isScrolledToEnd) {
						loadArticle(count2,$form,'galeria',$registros,'scroll-galeria','galeria');
				count2++;
			}
		});

	});








</script>


";

			$onload = vista_aplicacion($form);
		}elseif($v[0] =='q') {
			$form =$v[1];
			if($form==""){$form='0';}
			$embebido = "1";
			$no_mostrar ="display:none; ";

	  		$librerias_galeria ="
<!-- 	  		<link rel='manifest' href='manifest.json'> -->
	  		  <link rel='stylesheet' type='text/css' href='librerias/slick/slick.css'>
			  <link rel='stylesheet' type='text/css' href='librerias/slick/slick-theme.css'>
			  <link rel='stylesheet' type='text/css' href='librerias/slick/style.css'>
			  <script src='manup.js'></script>
	  		";

	  		$registros=1;
	  		$registros_pagina=5;
	  		$plantilla="landingpage";
	  		$librerias_cabeza ="
	  		<style>


			img {     display: block;
    max-width: 100%;
    height: auto;}


	  		.control_planilla{
	  		display:none
	  		}

	  		</style>

	  		 $librerias_galeria


	  		";
$librerias_pie ="






<script type = 'text/javascript' >
	$(document).ready(function() {



		loadArticle(1,$form,'galeria',$registros,'scroll-galeria','voyeur');
		loadArticle(2,$form,'galeria',$registros,'scroll-galeria','voyeur');
		loadArticle(3,$form,'galeria',$registros,'scroll-galeria','voyeur');
		loadArticle(4,$form,'galeria',$registros,'scroll-galeria','voyeur');
		loadArticle(5,$form,'galeria',$registros,'scroll-galeria','voyeur');
		loadArticle(6,$form,'galeria',$registros,'scroll-galeria','voyeur');
		loadArticle(7,$form,'galeria',$registros,'scroll-galeria','voyeur');
		loadArticle(8,$form,'galeria',$registros,'scroll-galeria','voyeur');
		loadArticle(9,$form,'galeria',$registros,'scroll-galeria','voyeur');
		loadArticle(10,$form,'galeria',$registros,'scroll-galeria','voyeur');

		var count2 = 11;
		$('div').scroll(function() {
			var offset = $('#scroll-galeria div').length;
			var \$this = $(this);
			var height = this.scrollHeight - \$this.height(); // Get the height of the div
			var scroll = \$this.scrollTop(); // Get the vertical scroll position

			var isScrolledToEnd = (scroll >= height);


			if (isScrolledToEnd) {
						loadArticle(count2,$form,'voyeur',$registros,'scroll-galeria','voyeur');
				count2++;
			}
		});

	});


</script>


";

			$onload = vista_voyeur($form);
		}
		elseif($v[0] =='g') {
			/// g=FORMULARIO EMBEBIDO
			$no_mostrar ="display:none; ";
	  		$form =$v[1];
	  		if($form =="" ){ header ("Location:./"); }
	  		$empresa = 	remplacetas('form_id','id',$form,'id_empresa',"") ;
	  		$razon_social_portal = remplacetas('empresa','id',"1",'razon_social','') ;
			$id_empresa = $empresa[0];
	  		$embebido = "1";
			$onload = formulario_embebido($form,$opciones);
			$librerias_cabeza ="

			<script src='./librerias/summernote/summernote.js'></script>
			<link href='./librerias/summernote/summernote.css' rel='stylesheet'>
			";
		$librerias_pie ="

    <script type='text/javascript'>
			//// wysiwyg
			var edit = function() {
			  $('.wysiwyg').summernote({height: 250, codemirror: { theme: 'default' },dialogsInBody: true, toolbar:
 [
  ['style', ['bold', 'italic', 'underline', 'clear']],
  ['font', ['strikethrough', 'superscript', 'subscript', 'fontname']],
  ['fontsize', ['fontsize']],
  ['color', ['color']],
  ['para', ['ul', 'ol', 'paragraph', 'style']],
  ['height', ['height']],
  ['insert', ['picture', 'link', 'video', 'table', 'hr']],
  ['misc', ['fullscreen', 'codeview', 'undo', 'redo']]
  ]
 });
  };

			var save = function() {
			  var makrup = $('.wysiwyg').summernote('code');
			  $('.wysiwyg').summernote('destroy');
			};


			$(document).ready(function() {
			  $('.wysiwyg_auto').summernote({dialogsInBody: true});
			});

    </script>
			";}
		elseif($v[0] =='h') {
			/// h=ADDON
	  		$addon =$v[1];
			$onload = include("milfs/addon/$addon/$addon".".php");
		}
		elseif($v[0] =='j') {
			/// j=ADDON EMBEBIDO
	  		$addon =$v[1];
	  		//$embebido = "1";
			$onload = include("milfs/addon/$addon/$addon".".php");
		}
				elseif($v[0] =='k') {
			$id_empresa = $v[1];
			$id =$id_empresa;
			$titulo = remplacetas('empresa','id',"$id_empresa",'razon_social','') ;
			$no_mostrar ="display:none; ";
			/*if($titulo[0] !="") {
			$logo = remplacetas('empresa','id',"$id_empresa",'imagen','') ;

			$descripcion = remplacetas('empresa','id',"$id_empresa",'slogan','') ;
			//$background_imagen = buscar_imagen('',"","","$id_empresa");
			  $background_imagen = remplacetas('empresa','id',"$id_empresa",'imagen','') ;
			  $background_imagen =  $background_imagen[0];
			$uri_set = "";
			$acceso = 1;

				$cols_interior ="10";
			}else {}*/
			$acceso = 1;
			$embebido =1;
$aplicacion_pie="


			<script src='librerias/reveal/lib/js/head.min.js'></script>
		<script src='librerias/reveal/js/reveal.js'></script>

		<script>
   // max-height: calc(100vh - 300px);
   // min-height: calc(100vh - 300px);
			// More info https://github.com/hakimel/reveal.js#configuration
			Reveal.initialize({
				width: '100%',
				height: '90%',
				touch: false,
				controls: false,
				progress: true,
				history: true,
				center: true,
				embedded: true,

				transition: 'slide', // none/fade/slide/convex/concave/zoom

				// More info https://github.com/hakimel/reveal.js#dependencies
				dependencies: [

				]
			});

		</script>
		<script src='librerias/slick/slick.js' type='text/javascript' charset='utf-8'></script>

	  		";
	  			$librerias_pie = "$aplicacion_pie";

				$librerias_cabeza ="
				$presentacion_cabeza ";
				$suite_listado = suite_listado("$id","$_REQUEST[suite]");



				$onload = "$suite_listado";
		}
				elseif($v[0] =='m') {
			$set =$v[1];
			$form =$v[1];
			$librerias_cabeza='
			<!--
			<link rel="stylesheet" type="text/css" href="librerias/datatables2/datatables.min.css"/>
			<script type="text/javascript" src="librerias/datatables2/datatables.min.js"></script>
-->
			<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs/dt-1.10.21/af-2.3.5/b-1.6.2/b-colvis-1.6.2/b-html5-1.6.2/b-print-1.6.2/cr-1.5.2/fc-3.3.1/fh-3.1.7/kt-2.5.2/r-2.2.5/rg-1.1.2/rr-1.2.7/sc-2.0.2/sp-1.1.0/sl-1.3.1/datatables.min.css"/>
			<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
			<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
			<script type="text/javascript" src="https://cdn.datatables.net/v/bs/dt-1.10.21/af-2.3.5/b-1.6.2/b-colvis-1.6.2/b-html5-1.6.2/b-print-1.6.2/cr-1.5.2/fc-3.3.1/fh-3.1.7/kt-2.5.2/r-2.2.5/rg-1.1.2/rr-1.2.7/sc-2.0.2/sp-1.1.0/sl-1.3.1/datatables.min.js"></script>

			';
			$empresa = 	remplacetas('form_id','id',$form,'id_empresa',"") ;
	  		$razon_social_portal = remplacetas('empresa','id',"$empresa[0]",'razon_social','') ;
	  		$titulo = remplacetas('empresa','id',"$empresa[0]",'razon_social','') ;
			$id_empresa = $empresa[0];
	  		$embebido = "1";
	  		if(isset($_REQUEST['print'])) { $print = "window.print()";}
			$onload = "".checklist("$set",@$_REQUEST['registros'],@$_REQUEST['campo'],@$_REQUEST['valor'],'')." <script type=\"text/javascript\">$print</script> ";

			}
				elseif($v[0] =='n') {
			$form =$v[1];
			$embebido = "1";
	  		$no_mostrar ="display:none; ";

	  		$publico = remplacetas('form_id','id',$form,'publico','') ;
	  		$empresa_seguridad = remplacetas('form_id','id',$form,'id_empresa','') ;
	  	if($publico[0] != "1" and ( $_SESSION['id_empresa'] != $empresa_seguridad[0] ) ) {
	  		$resultado = "  <div class='alert alert-danger'><h1><a href='./milfs/'>Ingresa</a> con tu usuario para consultar esta aplicación. <i class='fa fa-user-circle-o'></i></h1>";
		$onload =$resultado;


																					}
																					else {

	  			  		$librerias_cabeza ="
			<script type='text/javascript' src='librerias/notas/script.js'></script>
 			<script type='text/javascript' src='./librerias/jquery/jquery-ui.min.js'></script>
 			<script type='text/javascript' src='./librerias/jquery/jquery.ui.touch-punch.js'></script>
 			<script type='text/javascript' src='./librerias/jquery/jquery.touch.js'></script>

			<script type='text/javascript' src='./librerias/notas/jquery.infinitedrag.js'></script>
			<link rel='stylesheet' type='text/css' href='./librerias/notas/styles.css' />
	  		";

			$tablero = notas_tablero("$form");
			$onload = "$tablero";
		}
		}

		elseif($v[0] =='o') {
			/// f= FORMULARIO
	  		$form =$v[1];
	  		//$presentacion = contenido_presentacion("$form");
	  		$presentacion = contenido_parallax("$form","$plantilla");
	  		$embebido = "1";
	  		$empresa = 	remplacetas('form_id','id',"$form",'id_empresa',"") ;
	  		$id_empresa= $empresa[0];
	  		$logo = remplacetas('empresa','id',$id_empresa,'imagen','') ;
	  		$no_mostrar ="display:none; ";
	  		//	if($_REQUEST['tema'] !="") { $tema= "$_REQUEST[tema]";}				else {$tema="moon";}
	  		////$librerias_cabeza =$presentacion_cabeza;
	  		//$librerias_pie =$presentacion_pie;
	  		$banner = banner_empresa("$id_empresa","$form");
	  		$aplicaciones_listado= aplicaciones_listado("$id_empresa",'','lista','');
	  		$geo = buscar_campo_tipo($form,"14");
	  		if($geo[0] != "") {
			$mapa = "
			<a name='mapa'></a>

	  			<embed class='' src='mapero.php?id=$form' width='100%' style='height: calc(100vh - 50px);'  webkitAllowFullScreen mozallowfullscreen allowFullScreen ></embed>
	  		";

	  		$boton_mapa ="<li><a href='#mapa'><i class='fa fa-map-o' aria-hidden='true'></i> Mapa</a></li>";
			}else {$mapa = ""; $boton_mapa="";}
	  		$onload="
	  		<style>
.parallax_banner {
    /* The image used */
    background-image: url('milfs/images/secure/?file=600/$logo[0]');

    /* Full height */
    height: 50%;

    /* Create the parallax scrolling effect */
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}


.barra {
  padding: 10px 16px;
  background: white;
  color: #f1f1f1;
   width: 100%;
   z-index:10000;
}



.sticky {
  position: fixed;
  top: 0;
  width: 100%;
}



	  		</style>








	  			  			<div class='parallax_banner'></div>
	  		<div style='min-height:200px;'>
							$banner

							</div>

								<div class='barra navbar-collapse collapse ' id='barra_aplicaciones'>
									 <div class='navbar-header'>
										  <button type='button' class='navbar-toggle collapsed' data-toggle='collapse' data-target='#menu_colapsible' aria-expanded='false'>
											<span class='sr-only'>Toggle navigation</span>
											<span class='fa fa-bars'></span>
										  </button>
										  <a class='nav navbar-brand' href='e$id_empresa'><i class='fa fa-home'></i></a>
									 </div>
									 <div class='collapse navbar-collapse' id='menu_colapsible'>
										<ul class='nav navbar-nav' >
											<li class='dropdown'>
												<a href='#' class='dropdown-toggle ' data-toggle='dropdown' role='button' aria-haspopup='true' aria-expanded='false'>
												Secciones<span class='caret'></span>
												</a>
												<ul  class='dropdown-menu' id='listado_aplicaciones'>
												$aplicaciones_listado
												</ul>
											</li>
											$boton_mapa
										</ul>
										<ul class='nav navbar-nav navbar-right'>
										<li ><a href='http://tupale.co'>Tupale.co</a></li>
										</ul>
									</div>
								</div>
								<div id='mapa' class='container'><a name ='mapa' ></a>$mapa</div>
								$presentacion



	  		<script>
	  		// When the user scrolls the page, execute myFunction
window.onscroll = function() {myFunction()};

// Get the header
var header = document.getElementById('barra_aplicaciones');

// Get the offset position of the navbar
var sticky = header.offsetTop;

// Add the sticky class to the header when you reach its scroll position. Remove 'sticky' when you leave the scroll position
function myFunction() {
  if (window.pageYOffset >= sticky) {
    header.classList.add('sticky');
  } else {
    header.classList.remove('sticky');
  }
}

	  		</script>
			";
		}
		else{


		}
$video = remplacetas('form_parametrizacion','campo',"presentacion",'descripcion'," tabla='empresa' and  opcion = 'video' and id_empresa = '$id_empresa'") ;
if($video[0] !="") { $video ="<iframe type='text/html' width='640' height='385' src='https://www.youtube.com/embed/$video[0]' frameborder='0'></iframe>"; }
else {$video ="";}
$logo = remplacetas('empresa','id',"$id_empresa",'imagen','') ;
$direccion = remplacetas('empresa','id',"$id_empresa",'direccion','') ;
$telefono = remplacetas('empresa','id',"$id_empresa",'telefono','') ;
$email = remplacetas('empresa','id',"$id_empresa",'email','') ;
$facebook = remplacetas('empresa','id',"$id_empresa",'facebook','') ;
$twitter = remplacetas('empresa','id',"$id_empresa",'twitter','') ;
$razon_social = remplacetas('empresa','id',"$id_empresa",'razon_social','') ;

if($slogan[0] ==""){
$slogan = remplacetas('empresa','id',"$id_empresa",'slogan','') ;
}
$sigla = remplacetas('empresa','id',"$id_empresa",'sigla','') ;

$link_empresa = "e$id_empresa";
 }else {
 	/*
 	if(isset($_SESSION['id_empresa'])) {
 		$id_empresa ="$_SESSION[id_empresa]";
 	}else { $id_empresa =""; }
 	*/
  $id_empresa="";
  $id="";

  $logo = remplacetas('empresa','id',"1",'imagen','') ;
  $background_imagen = remplacetas('empresa','id',"1",'imagen','') ;
  $background_imagen =  $background_imagen[0];
 //$titulo[0] ="Tupale.co";
  $titulo = remplacetas('empresa','id',"1",'razon_social','') ;
  $slogan = remplacetas('empresa','id',"1",'slogan','') ;
  //$descripcion[0] ="Los datos no hacen la felicidad, pero pueden medirla";
  $descripcion = remplacetas('empresa','id',"1",'slogan','') ;
  $twitter[0] ="tupaleco";
  $facebook[0] ="https://www.facebook.com/Qwerty-co-146226688795185";
  $video ="<div class='text-center'>
<!--   <iframe src='https://player.vimeo.com/video/3514904?color=ffffff&title=0&byline=0&portrait=0' width='640' height='281' frameborder='0' webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>  -->
  </div>
  ";
$soporte = "<li><a  href='./f587'><i class='fa fa-address-card' aria-hidden='true'></i> SOPORTE</a></li>";

}
$css_adicional = remplacetas('form_parametrizacion','campo',"index",'descripcion'," tabla='css' and  opcion = 'adicional' and id_empresa = '$id_empresa'") ;

	if($css_adicional[0] !="") {
	$css_adicional ="<style >

	$css_adicional[0]
	</style>";
	}
	else {
	$css_adicional ="<style ><!-- css_adicional [ $id_empresa ] --></style>";
	}



$uri = $_SERVER['REQUEST_URI'];


	?>

<meta NAME="Language" CONTENT="Spanish">
<meta NAME="Revisit" CONTENT="1 days">
<meta NAME="Distribution" CONTENT="Global">
<meta NAME="Robots" CONTENT="All">
<meta name="twitter:card" content="summary">
<meta name="twitter:site" content="<?php echo $twitter[0]; ?>">
<meta name="twitter:creator" content="@qwerty_co">
<meta name="twitter:url" content="<?php echo $uri ; ?>">
<meta name="twitter:title" content="<?php echo $titulo[0]; ?>">
<meta name="twitter:description" content=" <?php echo $descripcion_meta; ?>">
<meta name="twitter:image" content="<?php echo "$_SESSION[url]images/secure/?file=full/$background_imagen"; ?>">
   <meta property="og:type"  content="article">
<meta property="og:title" content="<?php echo $titulo[0]; ?>" />
<meta property="og:type" content="website" />
<meta property="og:url" content="<?php echo "$uri"; ?>" />
<meta property="og:image" content="<?php echo "$_SESSION[url]images/secure/?file=full/$background_imagen"; ?>" />
<meta property="og:site_name" content="<?php echo $razon_social[0]; ?>" />
<meta property="og:description" content=" <?php echo $descripcion_meta; ?>" />
   <link rel="shortcut icon" href="<?php echo "milfs/images/secure/?file=150/$logo[0]"; ?>">
   <meta name='viewport' content='width=device-width'   >
<meta name='mobile-web-app-capable' content='yes'>
<link rel='icon' sizes='192x192' href='<?php echo "milfs/images/secure/?file=150/$logo[0]"; ?>'>
<script type='text/javascript' src='librerias/exif/exif.js'></script>
	<link rel="apple-touch-icon-precomposed" href="<?php echo "milfs/images/secure/?file=150/$logo[0]"; ?>">
	   <title><?php echo @$titulo[0]; ?> <?php echo strip_tags($slogan[0]); ?> Tupale.co </title>
<!--

<link href="./librerias/sidebar/css/simple-sidebar.css" rel="stylesheet" >

-->
	<?php $xajax->printJavascript("milfs/xajax/");

	$xajax->statusMessagesOn();


 	$css = remplacetas('form_parametrizacion','campo',"index",'descripcion'," tabla='css' and  opcion = 'bootstrap' and id_empresa = '$id_empresa'") ;
	if($css[0] !="") {
	$css ="
	<!-- incluir tema bootstrap parametrizado $css[2]-->
	<link rel='stylesheet' href='$css[0]?".time()."' >";
	$tema="";
	}
	else {

	//	$tema= "magazine";
	$tema ="";
	$css ='
	<!-- incluir tema bootstrap por defecto -->

	<link rel="stylesheet" href="./librerias/bootstrap/css/bootstrap.min.css?'.time().'"  >';
	}
	///
	 echo " <!-- tema $tema --> ";
$panel_aplicaciones = panel_aplicaciones('1',"","");

	 if(isset($_SESSION['id'])){ $boton_ingresar="


		 <li id='user_dropdow' class='dropdown'>
				 <a href='milfs/' class='dropdown-toggle' data-toggle='dropdown' role='button' aria-haspopup='true' aria-expanded='false'>$_SESSION[username]<b class='caret'></b></a>
				 <ul id='menu_administrador' class='dropdown-menu'>
						  $panel_aplicaciones
						 <li class='divider'></li>
						 <li><a onclick=\"xajax_milfs_session('','','','salir','','') \"><i class='fa fa-sign-out'></i> SALIR</a></li>
				 </ul>
		 </li>


		 ";}



	 else{$boton_ingresar="<li><a class='btn-ingresar-login' href='milfs/'>Ingresar</a></li>"

		 ;}

 if(isset($_SESSION['id'])){
	 $form_tiempo_session = "
    <li>

	</li> ";  } else{ $form_tiempo_session = "";}
 if($tema=="") {

 $barra="
 <div class='noprint nomostrar container' id='cabecera' style=' $no_mostrar  '>
    <nav class='navbar navbar-fixed-top navbar-inverse navbar-toggleable-sm ' id='navbar-principal'>

        <div class='container navegacion' id='menu_mobil'>
            <div id='menu_hamburguesa' class='navbar-header'>
                <button type='button' class='navbar-toggle collapsed' data-toggle='collapse' data-target='#navbar' aria-expanded='false' aria-controls='navbar'>
								<span class='sr-only'>Toggle navigation</span>
								<span class='icon-bar'></span>
								<span class='icon-bar'></span>
								<span class='icon-bar'></span>
                </button>
                <a class='navbar-brand' href='$link_empresa'>
                                 <img id='logo_cabecera' class='center-block img img-responsive' style='' src='milfs/images/secure/?file=300/$logo[0]'>
                                </a>
            </div>
            <div id='navbar' class='navbar-collapse collapse'>
                <ul id='menu_milfs' class='nav navbar-nav'>
                    <li class='dropdown '>
                        <a  href='#' class='dropdown-toggle  img-rounded hidden-xs' data-toggle='dropdown' role='button' aria-haspopup='true' aria-expanded='false'><i class='fa fa-bars' ></i><span> $portal_sigla<span></a>
												<a  href='#' class='dropdown-toggle  img-rounded visible-xs' data-toggle='dropdown' role='button' aria-haspopup='true' aria-expanded='false'><i class='caret'></i><span> $portal_sigla<span></a>
                        <ul class='menu_tupale dropdown-menu'>
                            <li><a class='' href='$portal_url'><i class='fa fa-home'></i>  Portal</a></li>
                            <li><a class='' href='$link_empresa?home'>$sigla[0] Inicio</a></li>
                            <li><a href='s363'>Blog</a></li>
                            <li><a href='s133'>Ayuda y documentación</a></li>
                            <li  class='divider'> </li>
                            ".aplicaciones_listado("$id_empresa",'','nav','')."
                        </ul>
                    </li>
                   $form_tiempo_session
                </ul>
                <ul id='menu_social' class='nav navbar-nav navbar-right'>

                    $soporte
                    <li><a href='https://twitter.com/$twitter[0]'><i class='fa fa-twitter'></i></a></li>
                    <li><a href='$facebook[0]'><i class='fa fa-facebook'></i></a></li>
	                    $boton_ingresar
                </ul>
            </div>
    </nav>
</div>

    ";



 echo $css;
 //https://code.jquery.com/jquery-3.3.1.js
 //<script src="./librerias/jquery/jquery-2.1.4.min.js" ></script>
 ?>
     <script src="https://code.jquery.com/jquery-3.3.1.js" ></script>
    <script src="./librerias/bootstrap/js/bootstrap.min.js" ></script>
   <!--     <script src="./librerias/charts/Chart.bundle.js"></script>
    <script src="./librerias/charts/utils.js"></script> -->
    <script src="./librerias/lazy/jquery.lazy.min.js"></script>
    <script src='./librerias/summernote/summernote.js'></script>
			<link href='./librerias/summernote/summernote.css' rel='stylesheet'>
			<script type='text/javascript'> var edit = function() { $('.wysiwyg').summernote({height: 250, codemirror: { theme: 'default' },dialogsInBody: true, toolbar:[ ['style', ['bold', 'italic', 'underline', 'clear']], ['font', ['strikethrough', 'superscript', 'subscript', 'fontname']], ['fontsize', ['fontsize']], ['color', ['color']], ['para', ['ul', 'ol', 'paragraph', 'style']], ['height', ['height']], ['insert', ['picture', 'link', 'video', 'table', 'hr']], ['misc', ['fullscreen', 'codeview', 'undo', 'redo']] ] }); }; var save = function() { var makrup = $('.wysiwyg').summernote('code'); $('.wysiwyg').summernote('destroy'); }; $(document).ready(function() { $('.wysiwyg_auto').summernote({dialogsInBody: true}); }); </script>
			<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs/dt-1.10.21/af-2.3.5/b-1.6.2/b-colvis-1.6.2/b-html5-1.6.2/b-print-1.6.2/cr-1.5.2/fc-3.3.1/fh-3.1.7/kt-2.5.2/r-2.2.5/rg-1.1.2/rr-1.2.7/sc-2.0.2/sp-1.1.0/sl-1.3.1/datatables.min.css"/>
			<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
			<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
			<script type="text/javascript" src="https://cdn.datatables.net/v/bs/dt-1.10.21/af-2.3.5/b-1.6.2/b-colvis-1.6.2/b-html5-1.6.2/b-print-1.6.2/cr-1.5.2/fc-3.3.1/fh-3.1.7/kt-2.5.2/r-2.2.5/rg-1.1.2/rr-1.2.7/sc-2.0.2/sp-1.1.0/sl-1.3.1/datatables.min.js"></script>

		<script>


    $(function() {
        $('.lazy').lazy({
        // your configuration goes here
        //combined: true,
            delay: 1000,
       // scrollDirection: 'vertical',
        //effect: 'fadeIn',
        //visibleOnly: true,

        onError: function(element) {
            console.log('error loading ' + element.data('src'));
        }
    });
    });
    </script>


    	<?php echo $librerias_cabeza; ?>



<?php
}
else {
	echo "
 <meta name='theme-color' content='#DF0101'/>
 <!-- Windows Phone -->
 <meta name='msapplication-navbutton-color' content='#DF0101'/>
 <!-- iOS Safari -->
<meta name='apple-mobile-web-app-capable' content='yes'/>
<meta name='apple-mobile-web-app-status-bar-style' content='black-translucent'/>

	";
	echo $librerias_cabeza;
include("temas/$tema/cabecera");
include("temas/$tema/pie");
$barra="

		          <ul  >
		          	<li><a class='' href='$portal_url'><i class='fa fa-home'></i>  Portal</a></li>
             		<li><a class='' href='$link_empresa'>".@$sigla[0]." Inicio</a></li>
                  <li><a href='s363'>Blog</a></li>
             		<li role='separator' class='divider'></li>
             		".aplicaciones_listado("$id_empresa",'','nav','')."
		          </ul>

    ";


$menu_lateral = "
<div id='fh5co-offcanvas' class='noprint'>
		<a href='#' class='fh5co-close-offcanvas js-fh5co-close-offcanvas'><span><i class='icon-cross3'></i> <span>Close</span></span></a>
		<div class='fh5co-bio'>
			<figure>
				<img src='milfs/images/secure/?file=full/$logo[0]' alt='' class='img-responsive'>
			</figure>
			<h3 data-toc-skip >LO QUE SOMOS</h3>
			<h2 data-toc-skip >".@$razon_social[0]." </h2>
			<h3  >".@$titulo[0]."</h3>
			<p>".@$descripcion[0]."  </p>
			<ul class='fh5co-social'>

				$soporte
				<li><a href='https://twitter.com/$twitter[0]'><i class='icon-twitter'></i></a></li>
				<li><a href='https://www.facebook.com/$facebook[0]'><i class='icon-facebook'></i></a></li>


			</ul>
		</div>

		<div class='fh5co-menu'>
			<div class='fh5co-box'>

				 $barra

			</div>
			<!-- <div class='fh5co-box'>
				<h3 class='heading'>Search</h3>
				<form action='#'>
					<div class='form-group'>
						<input type='text' class='form-control' placeholder='Type a keyword'>
					</div>
				</form>
			</div> -->
		</div>
	</div>


";

}
$hoja_css = remplacetas('form_parametrizacion','campo',"index",'descripcion'," tabla='hoja_css' and  opcion = 'hoja_css' and id_empresa = '$id_empresa'") ;
if ($hoja_css[0] ==""){ $hoja_estilo ="<link href='./milfs/css/style.css' rel='stylesheet'>";}
else{ $hoja_estilo ="<link href='$hoja_css[0]' rel='stylesheet'>";}
print $hoja_estilo;
 ?>







 <!-- tabla de contenido -->
 <!--
	<link rel="stylesheet" href="./librerias/bootstrap-toc/bootstrap-toc.min.css">
<script src="./librerias/bootstrap-toc/bootstrap-toc.min.js"></script>
		-->
<!-- <script src="./librerias/ekko-lightbox/4.0.1/ekko-lightbox.min.js"></script> -->

<!--firma -->
<!--
<script src="librerias/firma/signature_pad.js"></script>

<!-- firma pie -->
<!--
<script src="librerias/firma/app.js"></script>
-->

<?php echo $css_adicional;
 if(!isset($_SESSION['id']) ){ ?>
<script type="text/javascript">

function addLink() {
    var body_element = document.getElementsByTagName('body')[0];
    var selection;
    selection = window.getSelection();
    var pagelink = " /* <br /><br />Gracias por compartir, por favor cítanos así:<br/><a href='"+document.location.href+"'>"+document.location.href+"<br /><b>https://tupale.co</b> */";
    var copytext = selection + pagelink;
    var newdiv = document.createElement('div');
    newdiv.style.position='absolute';
    newdiv.style.left='-99999px';
    body_element.appendChild(newdiv);
    newdiv.innerHTML = copytext;
    selection.selectAllChildren(newdiv);
    window.setTimeout(function() {
    body_element.removeChild(newdiv);
    },0);
}
document.oncopy = addLink;
</script>
<?php } ?>
</head>

<body data-spy="scroll" data-target="#toc"   >
	<!-- Modal -->

	<div class='modal fade  animated' id='muestraInfo' tabindex='-1' role='dialog' aria-labelledby='myModalLabel' aria-hidden='true'>
	  <div id="modal_landing" class='modal-dialog modal-lg' >
	    <div class='modal-content'>
	            <button type='button' class='close' data-dismiss='modal' aria-hidden='true'><i class='fa fa-times-circle'></i> </button>
	      <div class='modal-header hidden-xs' >

	        <div class='modal-title' id='titulo_modal'></div>
	      </div>
	      <div class='modal-body'>

	       <div id='muestra_form'>

	       </div>
	      </div>
	      <div class='modal-footer' >
				<div class='pull-left hidden-md hidden-xs '>
					<span class="hidden-xs">Poweredy by </span><a href='https://tupale.co' target='tupale'>tupale.co</a>
					<a href='milfs/?psi' target='_psi'><i class='fa fa-user-secret'></i><span class="hidden-sm">Políticas de privacidad y protección de datos.</span></a>
				</div>
				<div class='pull-right' id='pie_modal'></div>

	      </div>
	    </div>
	  </div>
	</div>
	<!-- Modal -->
	<div class='container-fluid'  id='container-index'>
		<?php
		if(isset($_REQUEST['debug'])) {
	print_r( $_SESSION );
	print_r( $_REQUEST );
	//echo "$variable ($pagina_inicio_definida[2])";
	ini_set('display_errors', 'On');}
		?>
<?php


 if($tema=="") {
  echo $barra ;
  }else{
   echo " " ;
}
  	if(isset($_SESSION['id'] )) {
		$id_empresa_portada='1';
		if($_SESSION['grupo'] == '3'){

				//echo "		<li style=' $no_mostrar '>".panel_aplicaciones('1',"","")." </li>";
			}
		else{				$usuario = $_SESSION['username'];
			//echo "		<li style=' $no_mostrar '>".panel_aplicaciones('1',"$_SESSION[id_empresa]","")." </li>";
				}

		 }else{ echo "
				<span style=' $no_mostrar '></span>

			";


				}

$eventos="";

if(isset($_REQUEST['eventos'])) {
	//$embebido='1';
	$librerias_pie="

			<link href='librerias/calendar/fullcalendar.min.css' rel='stylesheet' />
<link href='librerias/calendar/fullcalendar.print.min.css' rel='stylesheet' media='print' />



<script src='librerias/calendar/lib/moment.min.js'></script>
<script src='librerias/calendar/fullcalendar.min.js'></script>
<script src='librerias/calendar/locale/es.js'></script>
	";
				$empresa = 	remplacetas('form_id','id',$_REQUEST['eventos'],'id_empresa',"") ;
	$css_adicional = remplacetas('form_parametrizacion','campo',"index",'descripcion'," tabla='css' and  opcion = 'adicional' and id_empresa = '$empresa[0]'") ;
	if($css_adicional[0] !="") {
	$css_adicional ="<style >

	$css_adicional[0]
	</style>";
	}
				$titulo = 	remplacetas('form_id','id',"$_REQUEST[eventos]",'nombre',"") ;
$eventos= "
$css_adicional
<script>

	$(document).ready(function() {

		$('#calendar').fullCalendar({
			header: {
				left: 'prev,next today',
				center: 'title',
				right: 'listMonth,month,agendaWeek,agendaDay,listYear,timeLineYear'
			},
			//defaultDate: '2017-10-12',
			defaultView: 'listYear',
			themeSystem: 'bootstrap3',
			navLinks: true, // can click day/week names to navigate views
			editable: false,

			eventLimit: true, // allow \"more\" link when too many events
						events: {
				url: 'milfs/api.php',
				type: 'GET',
        		data: {
            id: '$_REQUEST[eventos]',
            tipo:'simple'
       		 },
				error: function() {
					$('#script-warning').show();
				}
			},
			buttonText: {
        listMonth: 'Agenda',
        listYear: 'Año',
        listDay: 'List Day'
    },
			loading: function(bool) {
				$('#loading').toggle(bool);
			}

			,
        eventMouseover: function (data, event, view) {

            tooltip = '<div class=\" alert alert-info tooltiptopicevent\" style=\"width:auto;height:auto;position:absolute;z-index:10001;padding:10px 10px 10px 10px ;  line-height: 200%;\"><strong>' + data.title + '</strong></br>' + '' + '' + data.Descripcion + ' <br><span class=\" '+data.className+'\">'+ data.Inicio + ' '+ data.clase + '</span></div>';


            $('body').append(tooltip);
            $(this).mouseover(function (e) {
                $(this).css('z-index', 10000);
                $('.tooltiptopicevent').fadeIn('500');
                $('.tooltiptopicevent').fadeTo('10', 1.9);
            }).mousemove(function (e) {
                $('.tooltiptopicevent').css('top', e.pageY + 10);
                $('.tooltiptopicevent').css('left', e.pageX + 20);
            });


        },
        eventMouseout: function (data, event, view) {
            $(this).css('z-index', 8);

            $('.tooltiptopicevent').remove();

        },
        dayClick: function () {
            tooltip.hide()
        },
        eventResizeStart: function () {
            tooltip.hide()
        },
        eventDragStart: function () {
            tooltip.hide()
        },
        viewDisplay: function () {
            tooltip.hide()
        },

		});

	});

</script><h1 class='titulo_eventos text-center'>$titulo[0]</h1><div class='container-fluid' id='calendar'></div><br>";


}
	if( $embebido =="1" ){ /* SI SE SOLICITA UN EMBEBIDO SE MUESTRA ESTO */


echo $css_adicional;
		echo $onload;

 		if(isset($set)) {

		}

?>
<!-- </div> -->



    </body>
    </html>



<!-- fin embebido -->
<?php

	}
	else{ /* SI NO SE SOLICITA UN EMBEBIDO SE CONTINUA CON EL FLUJO DEL HTML */
	?>



<div class="col-sm-<?php echo $cols_interior; ?> col-lg-<?php echo $cols_interior; ?>" id='principal_general'>
	<?php echo $menu_lateral ; ?>
		<!-- END #fh5co-offcanvas -->
	<header id="fh5co-header">
	  <!-- En el contenedor principal superior está: el nombre de empresa, el eslogan, el asistento -->

		<div class="container" id='principal_superior'>
	    <div id='formulario_login' class='' ></div>
			<div id='div_panel_aplicaciones' class=''></div>
	    <div class='container top contenedor_cabecera' id='contenedor_cabecera'>
				<h1 class="text-center" id="titulo_cabecera" data-toc-skip ><a href="<?php if($id_form !=""){echo "s".$id_form;} ?>"><?php echo $titulo[0]; ?></a></h1>
				<div class="text-center"id='slogan_cabecera'><p><?php echo "$slogan[0] "; ?> </p></div>
		  </div>


		  <div id="asistento" class="col-md-12 text-center <?php echo $asistento; echo "style=' $no_mostrar  '"; ?> " >
		    <?php
		      if(isset($_REQUEST['asistento'])) {
	          echo asistente_aplicaciones("",'','','');
			    }else {
			      echo "<a href='?asistento' class='btn btn-success asistento'>Quiero crear una aplicación. </a>";
			      }
		    ?>
		  </div>

		  <div class="col-md-push-1 col-md-10" id='resaltado'>
		    <div class='center-block'>
		      <?php

						if($id_empresa=="") {
							echo identificador_resaltado("1","");
									//echo milfs_session("$login_formulario","$login_campo_usuario","$login_campo_password","","");
							echo social_login("","","") ;
						}else {
							if($modo ==""){
							echo identificador_resaltado($id_empresa,"landingpage");
						}
						}
					?>
				</div>
			</div>
		</div>
		<!-- FIN DEL CONTENEDOR Principal Superior -->
	</header>
	<!-- FIN DE este <header> asociado a id="fh5co-header que tiene protagonismo en el código -->
	<div class="contenedor" id='caja'>
		<?php
			$id_campo = campo_titulo($set) ;
			$corpus = formulario_corpus("$set","$id_campo","contenido","barras","texto_articulo");
			$ultimos = mas_visto("ultimos","5","1","$set","$id_empresa");
			if ($v[0]=='s'){
				$buscar_datos  = buscar_datos("*formato*","$set","$plantilla","texto_articulo");
				echo "
				<div class='col-md-3 hidden-xs  '>
					<aside id='aside_index'>
				 		$buscar_datos
						<div id='grid_resultado_landing'></div>
						<br>
						<hr>
						".aplicaciones_listado("$id_empresa",'','nav','')."
						<hr>
						$corpus
						<hr>
						$ultimos
					</aside>
				</div>
					<div class='col-md-9' id='texto_articulo'>"
				;
			}else{ echo "<div class='col-md-12 col-lg-12' id='texto_articulo'>" ;}
		 echo $eventos;
                        if($id_empresa=="") {


                        //echo mas_visto("aleatorios","4","");
                        echo "

                        	";
                        echo mas_visto("ultimos","4","4","","");
                        echo "<div class='clearfix visible-lg-block visible-md-block visible-sm-block visible-xs-block'></div>";
                       // echo mas_visto("identificador","4","");
                        //echo "<div class='clearfix visible-lg-block visible-md-block visible-sm-block visible-xs-block'></div>";
                        //echo mas_visto("formulario","4","");
                        echo "</div>";
                     }

	if($acceso ==1) {
		if($set != "") {

		echo " ".consultar_contenido_formulario("$set",$cantidad_registros,'','contenido',"$orden","");


		}
		elseif($identificador !="") {
			//echo landingpage_contenido_identificador($identificador);
			echo "<div class='container'>".landingpage_contenido_identificador("$identificador_original","$id_form","landingpage",'simple')."</div>" ;
		}
		else{
					 if($id_empresa =="") {
					 	//echo multiempresa_listado('','')."Hola mundo";

					 }
					 else {
						//echo landingpage_contenido($id_empresa);
						if($plantilla_inicio[0]=='grid'){
							if(@$pagina_inicio_definida[0]!=""){
							echo consultar_contenido_formulario("$pagina_inicio_definida[0]","$plantilla_inicio_filas[0]",'',"$plantilla_inicio[0]","$orden","$plantilla_inicio[0]");
						}else{
							echo "$pagina_inicio";
						}
						}else{
							echo landingpage_contenido($id_empresa);
						}


					}
		}
	}else{ echo multiempresa_listado('',''); }
 ?>

    </div>
  </div>
<?php
$pagina_pie = remplacetas('form_parametrizacion','id_empresa',$id_empresa,'descripcion'," tabla='empresa' AND opcion='pie_pagina'","") ;

$onload_pie = banner("$pagina_pie[0]","$registros",'random');
$titulo = 	remplacetas('form_id','id',"$pagina_pie[0]",'nombre',"") ;
$descripcion = 	remplacetas('form_id','id',"$pagina_pie[0]",'descripcion',"") ;
if($pagina_pie[0] != "" and $modo==""){
echo "
<div class='text-center'>
	<h2>$titulo[0]</h2><p>$descripcion[0]</p><br>
	<div class='container-fluid'>$onload_pie</div>
</div>";
}else{ }
 ?>

	<footer id="fh5co-footer">
		<small>
			<p class="">Tupale.co funciona gracias a <a href='https://QWERTY.co/milfs'>&copy; MILFS Un proyecto de https://QWERTY.co</a> Se distribuye bajo licencia GPL V3
			<a href="milfs/?psi" ><i class="fa fa-smile-o "></i> Políticas de privacidad y protección de datos.</a></p>
		</small>
	</footer>
</div>
  <?php echo $menu; ?>


<div class='modal fade  animated' id='muestraInfo' tabindex='-1' role='dialog' aria-labelledby='myModalLabel' aria-hidden='true'>
  <div <div id="modal_landing"  class='modal-dialog modal-lg' >
    <div class='modal-content'>
      <div class='modal-header' >
        <button type='button' class='close' data-dismiss='modal' aria-hidden='true'><i class='fa fa-times-circle'></i></button>
        <div id='titulo_modal'></div>
      </div>
      <div class='modal-body'>

       <div id='muestra_form'>

       </div>
      </div>
      <div class='modal-footer' >
			<div class='pull-left'>
				<span>Poweredy by <a href='https://tupale.co' target='tupale'>tupale.co</a></span>
				<a href='milfs/?psi' target='_psi'><i class='glyphicon glyphicon-smile-o '></i> Políticas de privacidad y protección de datos.</a></div>
			<div class='pull-right' id='pie_modal'></div>

      </div>
    </div>
  </div>
</div>
<!-- Modal -->

    <!-- Footer -->



    <?php echo $onload;   } ?>


  <script type="text/javascript">


$(document).delegate('*[data-toggle="lightbox"]', 'click', function(event) {
    event.preventDefault();
    $(this).ekkoLightbox();
});


    $(".menu-toggle").click(function(e) {
        e.preventDefault();
        $("#wrapper-sidebar").toggleClass("toggled");
    });

    </script>

    <!-- Piwik -->
 <script type="text/javascript">
  var _paq = _paq || [];
  _paq.push(['trackPageView']);
  _paq.push(['enableLinkTracking']);
  (function() {
    var u="//stats.tupale.co/";
    _paq.push(['setTrackerUrl', u+'piwik.php']);
    _paq.push(['setSiteId', 1]);
    var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
    g.type='text/javascript'; g.async=true; g.defer=true; g.src=u+'piwik.js'; s.parentNode.insertBefore(g,s);
  })();
</script>
<noscript><p><img src="//stats.tupale.co/piwik.php?idsite=1" style="border:0;" alt="" /></p></noscript>
 <!-- Piwik Code -->
<?php echo $librerias_pie; ?>
<link href="./librerias/font-awesome/css/font-awesome.min.css" rel="stylesheet" >
<style>


#scroll-content
{

}
</style>

</div>
<script type="text/javascript" src="librerias/landingjs/scripts_landing.js"></script>

<?php
if(isset($_SESSION['id'] )) {
	echo "";

		}
?>

<script  type="text/javascript">
$('.navbar-collapse a').click(function(){
    $(".navbar-collapse").collapse('hide');
});

var page_size_check = null, q_body;
(q_body = $('#body')).bind('DOMSubtreeModified', function() {
  if (page_size_check === null) {
    return;
  }
  page_size_check = setTimeout(function() {
    q_body.css('height', '');
    if (q_body.height() < window.innerHeight) {
      q_body.css('height', window.innerHeight + 'px');
    }
    if (!(window.pageYOffset > 1)) {
      window.scrollTo(0, 1);
    }
    page_size_check = null;
  }, 400);
});
	/*
window.addEventListener("load",function() {
 setTimeout(function(){
 window.scrollTo(0, 1);
 }, 0);
 });*/
</script>

</body>

</html>
